Postfix stable release 2.5.6, 2.4.10 and 2.3.16 available

popowich

EQ Forum Admin
Staff member
Postfix stable releases 2.5.6, 2.4.10 and 2.3.16 catch up on fixes
that were applied in the past three months. Postfix versions 2.2
and earlier are no longer updated.

- Postfix 2.5: the SMTP server did not ask for a client certificate
with "smtpd_tls_req_ccert = yes". Reported by Rob Foehl.

- Postfix 2.5, 2.4 and 2.3: avoid reduced TCP performance when
reusing an SMTP connection with a larger than 4096-byte TCP MSS
value. In practice, this could happen only with loopback (localhost)
connections.

- Postfix 2.3: the cleanup server did not update the queue file's
recipient count field, after a Milter application added or deleted
a recipient. This resulted in harmless "rcpt count mismatch" warning
messages from the Postfix queue manager. Reported by Matthew Sullivan
(Sorbs). Fix back-ported from Postfix 2.4.

The first version of these releases suffered from a cut-and-paste
error in file smtp_reuse.c. Corrected versions have been issued
in the mean time.

The updated files should show up in the next 12 hours on the mirror
sites listed at The Postfix Home Page

Wietse
 

Similar threads

Top